package com.bwie.auth.controller;

import com.bwie.auth.service.impl.AuthServiceImpl;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
public class AuthController {
    @Autowired
    private AuthServiceImpl authService;

    @PostMapping("/authFindByserTel")
    public Result authFindByserTel(@RequestBody User user){
        return authService.authFindByuserTel( user );
    }

    @PostMapping("/authSendCode")
    public Result authSendCode(@RequestParam String userTel){
        return authService.authSendCode( userTel );
    }

    @GetMapping("/info")
    public Result info(){
        return authService.info();
    }
}
