package com.bwie.user.service.impl;


import com.bwie.common.domain.User;
import com.bwie.user.mapper.UserMapper;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class UserServiceImpl implements UserService {
    @Autowired
    private UserMapper userMapper;
    //校验手机号
    @Override
    public User findByuserTel(User user) {
        return userMapper.findByuserTel( user.getUserTel() );
    }
    //根据手机号发送验证码
    @Override
    public User sendCode(String userTel) {
        return userMapper.findByuserTel( userTel );
    }
}
