package com.bwie.job.mapper;

import com.bwie.common.domain.Job;
import com.bwie.common.domain.Log;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
public interface JobMapper {
//    列表展示
    List<Job>findJobList(@Param("jobName") String jobName, @Param("firmName") String firmName);
//    修改失效的岗位状态
    Integer updJobExpiredByTime(@Param("firmId") Integer firmId);
//    判断时间是否超过10天
    Job findByJobTime(Date jobTime);
    //投简历
    Integer updjobStatusById(@Param("firmId") Integer firmId);
//    添加至候选人
    Integer addLog(Log log);
//    人数加1
    Integer updJobCount(@Param("firmId") Integer firmId);
//   用于判断用户是否投过简历
    Integer updJobUser(@Param("firmId") Integer firmId, @Param("jobUsertel") String jobUsertel);
    //候选人列表
    List<Log>findLogList();
    //查询该岗位当前登录用户是否投递
    Job findByUserTel(@Param("jobUsertel") String jobUsertel);
//tongguo
    Integer updLogPassByLogid(@Param("logId") Integer logId);
//驳回
    Integer updLogNotPassByLogid(@Param("logId") Integer logId);
}
