package com.bwie.job.service;

import com.bwie.common.domain.Job;
import com.bwie.common.domain.Log;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface JobService {
    List<Job> findJobList(String jobName,String firmName);
    Integer updJobExpiredByTime(Integer firmId);
    Job findByJobTime(Date jobTime);
    Integer updjobStatusById(Integer firmId);
    //    添加至候选人
    Integer addLog(Log log);
    //    人数加1
    Integer updJobCount(Integer firmId);
    //   用于判断用户是否投过简历
    Integer updJobUser(Integer firmId,String jobUsertel);
    //候选人列表
    List<Log>findLogList();
    //查询该岗位当前登录用户是否投递
    Job findByUserTel(@Param("jobUsertel") String jobUsertel);
//    tongguo
    Integer updLogPassByLogid(Integer logId);

    Integer updLogNotPassByLogid(Integer logId);
}
