package com.bwie.job.service.impl;

import com.bwie.common.domain.Job;
import com.bwie.common.domain.Log;
import com.bwie.job.mapper.JobMapper;
import com.bwie.job.service.JobService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
@Service
public class JobServiceImpl implements JobService {
    @Autowired
    private JobMapper jobMapper;
    @Override
    public List<Job> findJobList(String jobName, String firmName) {
        return jobMapper.findJobList( jobName,firmName );
    }

    @Override
    public Integer updJobExpiredByTime(Integer firmId) {
        return jobMapper.updJobExpiredByTime( firmId );
    }

    @Override
    public Job findByJobTime(Date jobTime) {
        return jobMapper.findByJobTime( jobTime );
    }

    @Override
    public Integer updjobStatusById(Integer firmId) {
        return jobMapper.updjobStatusById(firmId);
    }

    @Override
    public Integer addLog(Log log) {
        return jobMapper.addLog( log );
    }

    @Override
    public Integer updJobCount(Integer firmId) {
        return jobMapper.updJobCount( firmId );
    }

    @Override
    public Integer updJobUser(Integer firmId, String jobUsertel) {
        return jobMapper.updJobUser( firmId,jobUsertel );
    }

    @Override
    public List<Log> findLogList() {
        return jobMapper.findLogList();
    }

    @Override
    public Job findByUserTel(String jobUsertel) {
        return jobMapper.findByUserTel( jobUsertel );
    }

    @Override
    public Integer updLogPassByLogid(Integer logId) {
        return jobMapper.updLogPassByLogid(logId);
    }

    @Override
    public Integer updLogNotPassByLogid(Integer logId) {
        return jobMapper.updLogNotPassByLogid(logId);
    }


}
