package com.bwie.user.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;

import com.bwie.user.service.impl.UserServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class UserController {
    @Autowired
    private UserServiceImpl userServicel;

    @PostMapping("/userFindByuserTel")
    public Result<User> userFindByuserTel(@RequestBody User user){
        User byuserTel = userServicel.findByuserTel( user );
        return Result.success(byuserTel);
    }

    @PostMapping("/userSendCode")
    public Result<User> userSendCode(@RequestParam String userTel){
        User user = userServicel.sendCode( userTel );
        return Result.success(user);
    }

}
